@import url("https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  padding: 40px 100px;
  z-index: 1000;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.toggle {
  position: relative;
  width: 40px;
  height: 40px;
  background: url(https://raw.githubusercontent.com/iiMu7aMMaD/Gumayusi/main/assets/images/open.png);
  background-repeat: no-repeat;
  background-size: 20px;
  background-position: center;
  cursor: pointer;
}

.toggle.active {
  background: url(https://github.com/iiMu7aMMaD/Gumayusi/blob/main/assets/images/close.png?raw=true);
  background-repeat: no-repeat;
  background-size: 17px;
  background-position: center;
  cursor: pointer;
}

.main {
  position: absolute;
  right: 0;
  width: 100%;
  min-height: 100vh;
  padding: 100px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: #111;
  transition: 0.5s;
  z-index: 2;
}

.main.active {
  right: 300px;
}

.main video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.8;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #6e6e6e;
  mix-blend-mode: overlay;
}

.text {
  position: relative;
  z-index: 10;
}

.text h2 {
  font-size: 5em;
  font-weight: 800;
  color: #ffffff;
  line-height: 1em;
  text-transform: uppercase;
}

.text h3 {
  font-size: 4em;
  font-weight: 700;
  color: #ffffff;
  line-height: 1em;
  text-transform: uppercase;
}

.text h4 {
  font-size: 2em;
  font-weight: 700;
  color: #ffffff;
  line-height: 1em;
}

.text p {
  font-size: 1.1em;
  color: #ffffff;
  margin: 20px 0;
  font-weight: 400;
  max-width: 700px;
}

.text a {
  display: inline-block;
  font-size: 1em;
  background: #ffffff;
  padding: 10px 30px;
  text-transform: uppercase;
  text-decoration: none;
  font-weight: 500;
  margin-top: 10px;
  color: #000000;
  letter-spacing: 2px;
  transition: 0.2s;
}

header .logo {
  color: #ffffff;
  text-transform: uppercase;
  cursor: pointer;
}

.logo-link {
  text-decoration: none;
  color: inherit;
}

.menu {
  position: absolute;
  top: 0;
  right: 0;
  width: 300px;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.menu ul {
  position: relative;
}

.menu ul li {
  list-style: none;
}

.menu ul li a {
  text-decoration: none;
  font-size: 22px;
  margin: 10px 0;
  color: #000000;
}

.menu ul li a:hover {
  color: #03a9f4;
}

.text a:hover {
  letter-spacing: 6px;
}

.social {
  position: absolute;
  z-index: 10;
  bottom: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.social li {
  list-style: none;
}

.social li a {
  display: inline-block;
  margin-right: 20px;
  filter: invert(1);
  transform: scale(0.5);
  transition: 0.5s;
}

.social li a:hover {
  transform: scale(0.5) translateY(-15px);
}

::selection {
  color: rgba(0, 0, 0, 0.5);
}

@media only screen and (max-width: 600px) {
  header {
    padding: 20px;
  }

  .toggle,
  .toggle.active {
    width: 30px;
    height: 30px;
    background-size: 15px;
  }

  .main {
    padding: 50px;
  }

  .main.active {
    right: 200px;
  }

  .text h2 {
    font-size: 3em;
  }

  .text h3 {
    font-size: 2.5em;
  }

  .text h4 {
    font-size: 1.5em;
  }

  .text p {
    font-size: 1em;
    max-width: 100%;
  }

  .text a {
    padding: 8px 20px;
    font-size: 0.9em;
    margin-top: 8px;
  }

  .menu {
    width: 200px;
  }
}

@media only screen and (min-width: 601px) and (max-width: 1024px) {
  header {
    padding: 30px;
  }

  .toggle,
  .toggle.active {
    width: 35px;
    height: 35px;
    background-size: 17.5px;
  }

  .main {
    padding: 80px;
  }

  .main.active {
    right: 250px;
  }

  .text h2 {
    font-size: 4em;
  }

  .text h3 {
    font-size: 3.5em;
  }

  .text h4 {
    font-size: 1.8em;
  }

  .text a {
    padding: 10px 25px;
    font-size: 1em;
    margin-top: 10px;
  }

  .menu {
    width: 250px;
  }
}

img {
  width: 80%;
  height: auto;
}

.cards {
  opacity: 1;
  transform: perspective(1200px);
}

.cards-info {
  width: 100%;
  opacity: 1;
  color: rgba(255, 255, 255, 0.9);
  padding: 8px;
  text-transform: uppercase;
}

.card {
  border: 1px solid rgb(255, 255, 255);
  border-radius: 8px;
  color: rgba(255, 255, 255, 0.9);
  padding: 20px;
}

.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 2fr));
  gap: 20px;
}

.photo-player {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 20px;
  padding: 20px;
}

.photo-container {
  text-align: center;
}

.photo-1 {
  max-width: 100%;
  height: auto;
}

.photo-2 {
  max-width: 45%;
  height: auto;
}

.text {
  margin-top: 10px;
}
